Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Method_Request_Dispatch.h File Reference

`#include "notify_export.h"`
`#include "Method_Request.h"`
`#include "Refcountable.h"`
`#include "Method_Request_Dispatch_T.h"`
`#include "ProxySupplier.h"`

Include dependency graph for Method_Request_Dispatch.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Notify_Method_Request_Dispatch
| Dispatchs an event to a proxy supplier. More...
class | TAO_Notify_Method_Request_Dispatch_No_Copy
| Dispatchs an event to a proxy supplier. More...
class | TAO_Notify_Method_Request_Dispatch_No_Copy_Ex
| Dispatchs an event to a proxy supplier. More...
## Typedefs
typedef TAO_Notify_Method_Request_Dispatch_T< const TAO_Notify_Event_var, TAO_Notify_ProxySupplier_Guard, const TAO_Notify_Event_var &, TAO_Notify_ProxySupplier * > | TAO_Notify_Method_Request_Dispatch_Base
typedef TAO_Notify_Method_Request_Dispatch_T< const TAO_Notify_Event *, TAO_Notify_ProxySupplier *, const TAO_Notify_Event *, TAO_Notify_ProxySupplier * > | TAO_Notify_Method_Request_Dispatch_No_Copy_Base
typedef TAO_Notify_Method_Request_Dispatch_T< const TAO_Notify_Event_var &, TAO_Notify_ProxySupplier *, const TAO_Notify_Event_var &, TAO_Notify_ProxySupplier * > | TAO_Notify_Method_Request_Dispatch_No_Copy_Ex_Base

## Detailed Description

Id:
  Method_Request_Dispatch.h,v 1.7 2003/07/21 23:51:32 dhinton Exp

Author:
  Pradeep Gore <pradeep@oomworks.com>

## Typedef Documentation

typedef TAO_Notify_Method_Request_Dispatch_T<const TAO_Notify_Event_var , TAO_Notify_ProxySupplier_Guard , const TAO_Notify_Event_var& , TAO_Notify_ProxySupplier*> TAO_Notify_Method_Request_Dispatch_Base

typedef TAO_Notify_Method_Request_Dispatch_T<const TAO_Notify_Event* , TAO_Notify_ProxySupplier* , const TAO_Notify_Event* , TAO_Notify_ProxySupplier*> TAO_Notify_Method_Request_Dispatch_No_Copy_Base

typedef TAO_Notify_Method_Request_Dispatch_T<const TAO_Notify_Event_var& , TAO_Notify_ProxySupplier* , const TAO_Notify_Event_var& , TAO_Notify_ProxySupplier*> TAO_Notify_Method_Request_Dispatch_No_Copy_Ex_Base